@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


:root {
    --bg: #00f0a8;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

/* Header section */

header {
    width: 100%;
    max-width: 100%;
    padding-left: 100px;
    height: 50px;
    display: flex;
    align-items: center;
    position: relative;
    z-index: 1000;
}

header nav a {
    color: #020202;
    margin-right: 5px;
    padding: 5px 10px;
    font-size: 16px;
    transition: 0.2s;
    text-decoration: none;
}

a.active {
    background: var(--bg);
    border-radius: 2px;
}
/* 
a:hover {
    background: var(--bg);
    border-radius: 2px;
} */

/* Header section */



/* carousel */

.carousel {
    width: 100vw;
    height: 100vh;
    margin-top: -50px;
    overflow: hidden;
    position: relative;
}



.carousel .list .item {
    width: 19rem;
    height: 15vw;
    position: absolute;
    top: 80%;
    transform: translateY(-70%);
    left: 10%;
    border-radius: 20px;
    box-shadow: 0 25px 50px rgba(0, 0, 0, 0.3);
    background-position: 50% 50%;
    background-size: cover;
    z-index: 100;
    transition: 1s;
}

.carousel .list .item:nth-child(1),
.carousel .list .item:nth-child(2) {
    top: 0;
    left: 0;
    transform: translate(0, 0);
    border-radius: 0;
    width: 100%;
    height: 100%;
}

.carousel .list .item:nth-child(3) {
    left: 60%;
}

.carousel .list .item:nth-child(4) {
    left: calc(60% + 320px);
}

.carousel .list .item:nth-child(5) {
    left: calc(60% + 640px);
}

.carousel .list .item:nth-child(6) {
    left: calc(60% + 960px);
}

.carousel .list .item:nth-child(n+7) {
    left: calc(60% + 1280px);
    opacity: 0;
}


.list .item .content {
    position: absolute;
    top: 50%;
    left: 8vw;
    padding: 2vw;
    transform: translateY(-50%);
    width: 35vw;
    height: 30vh;
    text-align: left;
    color: #fff;
    display: none;
    background-color: #ffffff27;
    backdrop-filter: blur(5px);
    border: 2px solid #bbb9b9;
    border-radius: 0.5vw;
    box-shadow: 5px 5px 21px 5px rgba(0, 0, 0, 0.56);
}

.list .item:nth-child(2) .content {
    display: block;
}

.content .title {
    font-size: 4vw;
    text-transform: uppercase;
    color: var(--bg);
    font-weight: bold;
    line-height: 1;

    

    opacity: 0;
    animation: animate 1s ease-in-out 0.3s 1 forwards;
}



.content .btn {
    margin-left: 5px;

    opacity: 0;
    animation: animate 1s ease-in-out 1.2s 1 forwards;
}

.content .btn button {
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    font-size: 16px;
    border: 2px solid #fff;
}

.content .btn button:nth-child(1) {
    margin-right: 15px;
}

.content .btn button:nth-child(2) {
    background: transparent;
    color: var(--bg);
    border: 2px solid #fff;
    transition: 0.3s;
}

.content .btn button:nth-child(2):hover {
    background-color: var(--bg);
    color: #fff;
    border-color: var(--bg);
}


@keyframes animate {

    from {
        opacity: 0;
        transform: translate(0, 100px);
        filter: blur(33px);
    }

    to {
        opacity: 1;
        transform: translate(0);
        filter: blur(0);
    }
}

/* next prev arrows */

.arrows {
    display: flex;
    flex-direction: row;
    justify-content: center;
    position: absolute;
    bottom: 1vw;
    z-index: 100;
    width: 100vw;
    display: flex;
    gap: 10px;
    align-items: center;
}

.arrows button {
    width: 50px;
    height: 50px;
    border-radius: 50%;

    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);

    border: 1px solid rgba(255, 255, 255, 0.25);

    color: var(--bg);
    outline: none;
    font-size: 18px;
    font-family: monospace;
    font-weight: bold;
    cursor: pointer;
    transition: all .3s ease;

    box-shadow:
        0 8px 32px rgba(0, 0, 0, .25),
        inset 0 1px 1px rgba(255, 255, 255, .3);
}

.arrows button:hover {
    background: transparent;
    color: #f7f7f7;
}


/* time running */
.carousel .timeRunning {
    position: absolute;
    z-index: 1000;
    width: 0%;
    height: 4px;
    background-color: var(--bg);
    left: 0;
    top: 0;
    animation: runningTime 7s linear 1 forwards;
}

@keyframes runningTime {

    from {
        width: 0%;
    }

    to {
        width: 100%;
    }

}


@media screen and (max-width: 999px) {

    header {
        padding-left: 50px;
    }

    .list .item .content {
        left: 50px;
    }

    .content .title{
        font-size: 70px;
    }


}

@media screen and (max-width: 690px) {
    header nav a {
        font-size: 14px;
        margin-right: 0;
    }

    .list .item .content {
        top: 40%;
    }

    .content .title {
        font-size: 45px;
    }

    .content .btn button {
        padding: 10px 15px;
        font-size: 14px;
    }
}